@Echo off

Set RegQry=HKLM\Hardware\Description\System\CentralProcessor\0
 
REG.exe Query %RegQry% > c:\temp\checkOS.txt
 
Find /i "x86" < c:\temp\CheckOS.txt > c:\temp\StringCheck.txt
 
If %ERRORLEVEL% == 0 (
    rem Echo "This is 32 Bit Operating system"
cd RX1\Firmware\DS-RX1_0110_Win32
start DS-RX1_0110_32
) ELSE (
    rem Echo "This is 64 Bit Operating System"
cd RX1\Firmware\DS-RX1_0110_Win64
start DS-RX1_0110_64.exe
)

exit